package com.pcloud.book.skill.entity;

import com.pcloud.book.rightsSetting.entity.BaseTempletClassify;

public class PcloudGroupActivity extends BaseTempletClassify {
    private static final long serialVersionUID = -2579070770051745966L;

    private String number;

    private String groupExtLink;

    private Integer groupType;

    private String name;

    private String desc;

    private String groupPic;

    private Integer joinType;

    private Long proLabelId;

    private Long depLabelId;

    private Long purLabelId;

    private Long bookGroupClassifyId;

    private String groupName;

    private Long createUser;

    private Long updateUser;

    private Integer isDelete;

    private Integer isShow;

    //微信素材id
    private String mediaId;

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public Integer getIsShow() {
        return isShow;
    }

    public void setIsShow(Integer isShow) {
        this.isShow = isShow;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getGroupPic() {
        return groupPic;
    }

    public void setGroupPic(String groupPic) {
        this.groupPic = groupPic;
    }

    public Integer getJoinType() {
        return joinType;
    }

    public void setJoinType(Integer joinType) {
        this.joinType = joinType;
    }

    public Long getProLabelId() {
        return proLabelId;
    }

    public void setProLabelId(Long proLabelId) {
        this.proLabelId = proLabelId;
    }

    public Long getDepLabelId() {
        return depLabelId;
    }

    public void setDepLabelId(Long depLabelId) {
        this.depLabelId = depLabelId;
    }

    public Long getPurLabelId() {
        return purLabelId;
    }

    public void setPurLabelId(Long purLabelId) {
        this.purLabelId = purLabelId;
    }

    public Long getBookGroupClassifyId() {
        return bookGroupClassifyId;
    }

    public void setBookGroupClassifyId(Long bookGroupClassifyId) {
        this.bookGroupClassifyId = bookGroupClassifyId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getGroupExtLink() {
        return groupExtLink;
    }

    public void setGroupExtLink(String groupExtLink) {
        this.groupExtLink = groupExtLink;
    }

    public Integer getGroupType() {
        return groupType;
    }

    public void setGroupType(Integer groupType) {
        this.groupType = groupType;
    }
}